This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 283951 - Review Request: log4net - A .NET framework for logging
Review Request: log4net - A .NET framework for logging
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
: 187828 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 07:11 EDT by Christopher Brown
Modified: 2008-03-20 08:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 08:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Brown 2007-09-09 07:11:52 EDT
Spec URL: http://snecker.fedorapeople.org/log4net/log4net.spec
SRPM URL: http://snecker.fedorapeople.org/log4net/log4net-1.2.10-1.fc7.src.rpm
Description: log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

Comments:

- This is a mono package and find-debuginfo.sh is failing to generate the
requisite package, though I understand this is somewhat commonplace.
- Nant is used to build the package with Strong Name signing.
- Rpmlint is quiet on source, no doc error on devel and complains about no
binary in binary rpm. I understand the latter is also not a blocker as this occurs with mono packages.

I am already the maintainer of a couple of other packages and log4net forms part
of around 4-5 which require iFolder to work on Fedora.

This is a new review request opened as a duplicate of 

https://bugzilla.redhat.com/show_bug.cgi?id=187828

Comments appreciated.

Cheers
Chris
Comment 1 Christopher Brown 2007-09-09 07:12:34 EDT
*** Bug 187828 has been marked as a duplicate of this bug. ***
Comment 2 Dan Horák 2008-02-20 03:38:48 EST
some notes
- the log4net.pc file should be installed into %{_libdir}/pkgconfig (other .NET
devel packages are installing the *.pc files there)
- the %{_libdir}/mono/gac directory is owned by mono-core, so you should package
only the %{_libdir}/mono/gac/log4net subdirectory
- you must also set ExcludeArch: ppc64 as Mono doesn't exist there
Comment 3 Christopher Brown 2008-02-20 18:49:59 EST
(In reply to comment #2)

Hi Dan,

Thanks for the review - this one has been stagnating.

> some notes
> - the log4net.pc file should be installed into %{_libdir}/pkgconfig (other .NET
> devel packages are installing the *.pc files there)

*fixed*

> - the %{_libdir}/mono/gac directory is owned by mono-core, so you should package
> only the %{_libdir}/mono/gac/log4net subdirectory

*fixed*

> - you must also set ExcludeArch: ppc64 as Mono doesn't exist there
> 

*fixed*

http://snecker.fedorapeople.org/log4net/log4net.spec
http://snecker.fedorapeople.org/log4net/log4net-1.2.10-1.fc8.src.rpm

Regards
Chris
Comment 4 Dan Horák 2008-02-21 04:23:52 EST
Don't forget to increase %Release tag (and also update changelog entry) for each
spec file public update. This iteration should be 1.2.10-2.

Formal review is here:
OK	source files match upstream:
	    4f8ff9892665469f915855692c9fc02801038837  incubating-log4net-1.2.10.zip
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (ASL 2.0). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate (Mono app).
OK	%clean is present.
OK	package builds in mock (x86_64 Rawhide).
N/A	debuginfo package looks complete (no debuginfo - Mono app).
OK	rpmlint is silent.

log4net.x86_64: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

OK for Mono app

log4net.x86_64: E: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

OK for Mono app

OK	final provides and requires look sane.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	has pkgconfig files in -devel subpackage.
OK	no libtool .la droppings.
OK	not a GUI app.

This package is APPROVED with the release updated to 2 (see above).

Because of the ExcludeArch you should also create a bug to track this issue and
make it block FE-ExcludeArch-ppc64=238953, see e.g. #309191.
Comment 5 Christopher Brown 2008-02-21 15:56:12 EST
(In reply to comment #4)
> Don't forget to increase %Release tag (and also update changelog entry) for each
> spec file public update. This iteration should be 1.2.10-2.

Gah, well spotted.

> This package is APPROVED with the release updated to 2 (see above).

Many thanks for the review Dan, greatly appreciated.

> Because of the ExcludeArch you should also create a bug to track this issue and
> make it block FE-ExcludeArch-ppc64=238953, see e.g. #309191.

Will do, as soon as it gets imported and appears in the bz list.

Thanks again,
Chris
Comment 6 Kevin Fenzi 2008-02-21 16:05:24 EST
Please use a new package template from 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
so we know what branches you want, what owners, etc. 

please reset the fedora-cvs flag when you are ready. 
Comment 7 Christopher Brown 2008-02-21 16:35:01 EST
New Package CVS Request
=======================
Package Name: log4net
Short Description: Logging for the .Net Framework
Owners: snecker
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-02-22 13:01:14 EST
cvs done.
Comment 9 Christopher Brown 2008-02-24 16:30:28 EST
(In reply to comment #4)
> Because of the ExcludeArch you should also create a bug to track this issue and
> make it block FE-ExcludeArch-ppc64=238953, see e.g. #309191.

https://bugzilla.redhat.com/show_bug.cgi?id=434700

Nant is not yet in rawhide so I am unable to build this in rawhide yet:

https://bugzilla.redhat.com/show_bug.cgi?id=434711

Will close once I am able.
Comment 10 Dan Horák 2008-02-24 17:26:53 EST
nant existed in devel for i386 and x86_64, but few minutes after you tried to
build log4net in devel nant was updated and built also for ppc :-)

Also increase the revision for devel to 3 as you have done for F-8 and F-7 to
keep the upgrade path working.
Comment 11 Dan Horák 2008-03-19 10:14:41 EDT
Chris, please close this bug as log4net is already built.

Note You need to log in before you can comment on or make changes to this bug.